## com.crystaldecisions.sdk.occa.report.data
Class FieldValueType

    java.lang.Object
      com.crystaldecisions.sdk.occa.report.data.FieldValueType

public final class FieldValueType
extends java.lang.Object

This class contains constants that indicate what type of data is stored by the field.

Field Summary
`static int` | `_bitmapField` A bitmap.
`static int` | `_blobField` A BLOB is simply a chunk of binary data.
`static int` | `_booleanField` A boolean type.
`static int` | `_chartField` A chart.
`static int` | `_currencyField` A currency type.
`static int` | `_dateField` A date type.
`static int` | `_dateTimeField` A date type.
`static int` | `_iconField` An icon.
`static int` | `_int16sField` 16-bit signed integer.
`static int` | `_int16uField` 16-bit unsigned integer.
`static int` | `_int32sField` 32-bit signed integer.
`static int` | `_int32uField` 32-bit unsigned integer.
`static int` | `_int8sField` 8-bit signed integer.
`static int` | `_int8uField` 8-bit unsigned integer.
`static int` | `_numberField` A floating point number.
`static int` | `_oleField` An OLE field.
`static int` | `_persistentMemoField` The data of persistent memos can be read at any time.
`static int` | `_pictureField` A picture.
`static int` | `_sameAsInputField` Same data type as input field.
`static int` | `_stringField` A string.
`static int` | `_timeField` A time field.
`static int` | `_transientMemoField` A variable length array of characters.
`static int` | `_unknownField` A unknown field.
`static FieldValueType` | `bitmapField` A `FieldValueType` that specifies a bitmap.
`static FieldValueType` | `blobField` A `FieldValueType` that specifies a BLOB or in other words, a chunk of binary data.
`static FieldValueType` | `booleanField` A `FieldValueType` that specifies a boolean type.
`static FieldValueType` | `chartField` A `FieldValueType` that specifies a chart.
`static FieldValueType` | `currencyField` A `FieldValueType` that specifies a currency type.
`static FieldValueType` | `dateField` A `FieldValueType` that specifies a date type.
`static FieldValueType` | `dateTimeField` A `FieldValueType` that specifies a date type.
`static FieldValueType` | `iconField` A `FieldValueType` that specifies an icon.
`static FieldValueType` | `int16sField` A `FieldValueType` that specifies a 16-bit signed integer.
`static FieldValueType` | `int16uField` A `FieldValueType` that specifies a 16-bit unsigned integer.
`static FieldValueType` | `int32sField` A `FieldValueType` that specifies a 32-bit signed integer.
`static FieldValueType` | `int32uField` A `FieldValueType` that specifies a 32-bit unsigned integer.
`static FieldValueType` | `int8sField` A `FieldValueType` that specifies an 8-bit signed integer.
`static FieldValueType` | `int8uField` A `FieldValueType` that specifies an 8-bit unsigned integer.
`static FieldValueType` | `numberField` A `FieldValueType` that specifies a floating point number.
`static FieldValueType` | `oleField` A `FieldValueType` that specifies an OLE field.
`static FieldValueType` | `persistentMemoField` A `FieldValueType` that specifies a persistent memo.
`static FieldValueType` | `pictureField` A `FieldValueType` that specifies a picture.
`static FieldValueType` | `sameAsInputField` A `FieldValueType` that specifies the same data type as the input field.
`static FieldValueType` | `stringField` A `FieldValueType` that specifies a string.
`static FieldValueType` | `timeField` A `FieldValueType` that specifies a time field.
`static FieldValueType` | `transientMemoField` A `FieldValueType` that specifies a variable length array of characters.
`static FieldValueType` | `unknownField` A `FieldValueType` that specifies an unknown field.

Method Summary
`static FieldValueType` | `from_int(int i)` Returns the `FieldValueType` object corresponding to the specified `int`.
`static FieldValueType` | `from_string(java.lang.String sVal)` Returns the `FieldValueType` object corresponding to the specified `String`.
`static boolean` | `isPrimitiveType(FieldValueType type)` Returns `true` if the specified `FieldValueType` object is a primitive data type.
`java.lang.String` | `toString()` Returns the `String` value of this `FieldValueType` object.
`java.lang.String` | `toVariantTypeString()` Returns the variant type of the `String` value of this `FieldValueType` object.
`int` | `value()` Returns the `int` value of this `FieldValueType` object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _int8sField

    public static final int _int8sField

  8-bit signed integer.

  See Also:
    Constant Field Values

### _int8uField

    public static final int _int8uField

  8-bit unsigned integer.

  See Also:
    Constant Field Values

### _int16sField

    public static final int _int16sField

  16-bit signed integer.

  See Also:
    Constant Field Values

### _int16uField

    public static final int _int16uField

  16-bit unsigned integer.

  See Also:
    Constant Field Values

### _int32sField

    public static final int _int32sField

  32-bit signed integer.

  See Also:
    Constant Field Values

### _int32uField

    public static final int _int32uField

  32-bit unsigned integer.

  See Also:
    Constant Field Values

### _numberField

    public static final int _numberField

  A floating point number. It has a range of approximately 1.7E-308 to 1.7E+308

  See Also:
    Constant Field Values

### _currencyField

    public static final int _currencyField

  A currency type. This is a floating point number but some databases distinguish between the two.

  See Also:
    Constant Field Values

### _booleanField

    public static final int _booleanField

  A boolean type.

  See Also:
    Constant Field Values

### _dateField

    public static final int _dateField

  A date type. The DATE type is implemented as a floating-point value, measuring days from midnight, 30 December 1899. If the number is negative it is the number of days before 30 December 1899.

  See Also:
    Constant Field Values

### _timeField

    public static final int _timeField

  A time field. It is the number of seconds since midnight.

  See Also:
    Constant Field Values

### _stringField

    public static final int _stringField

  A string. It has a maximum length of 254 bytes. Strings longer than this are treated as memos.

  See Also:
    Constant Field Values

### _transientMemoField

    public static final int _transientMemoField

  A variable length array of characters. Transient memos are memos whose data must be read at the same time the database record to which it belongs is being read.

  See Also:
    Constant Field Values

### _persistentMemoField

    public static final int _persistentMemoField

  The data of persistent memos can be read at any time. That is, at the time the record is read only the memo tag is read and the data can be collected later.

  See Also:
    Constant Field Values

### _blobField

    public static final int _blobField

  A BLOB is simply a chunk of binary data. There is a 4GB limit on BLOBS.

  See Also:
    Constant Field Values

### _dateTimeField

    public static final int _dateTimeField

  A date type. The DATE type is implemented as a floating-point value, measuring days from midnight, 30 December 1899. If the number is negative it is the number of days before 30 December 1899. To interpret the time portion, take the absolute value of the fractional part of the number.

  See Also:
    Constant Field Values

### _bitmapField

    public static final int _bitmapField

  A bitmap.

  See Also:
    Constant Field Values

### _iconField

    public static final int _iconField

  An icon.

  See Also:
    Constant Field Values

### _pictureField

    public static final int _pictureField

  A picture.

  See Also:
    Constant Field Values

### _oleField

    public static final int _oleField

  An OLE field.

  See Also:
    Constant Field Values

### _chartField

    public static final int _chartField

  A chart.

  See Also:
    Constant Field Values

### _sameAsInputField

    public static final int _sameAsInputField

  Same data type as input field.

  See Also:
    Constant Field Values

### _unknownField

    public static final int _unknownField

  A unknown field. That is, it is not one of the types defined above.

  See Also:
    Constant Field Values

### int8sField

    public static final FieldValueType int8sField

  A `FieldValueType` that specifies an 8-bit signed integer.

### int8uField

    public static final FieldValueType int8uField

  A `FieldValueType` that specifies an 8-bit unsigned integer.

### int16sField

    public static final FieldValueType int16sField

  A `FieldValueType` that specifies a 16-bit signed integer.

### int16uField

    public static final FieldValueType int16uField

  A `FieldValueType` that specifies a 16-bit unsigned integer.

### int32sField

    public static final FieldValueType int32sField

  A `FieldValueType` that specifies a 32-bit signed integer.

### int32uField

    public static final FieldValueType int32uField

  A `FieldValueType` that specifies a 32-bit unsigned integer.

### numberField

    public static final FieldValueType numberField

  A `FieldValueType` that specifies a floating point number.

### currencyField

    public static final FieldValueType currencyField

  A `FieldValueType` that specifies a currency type.

### booleanField

    public static final FieldValueType booleanField

  A `FieldValueType` that specifies a boolean type.

### dateField

    public static final FieldValueType dateField

  A `FieldValueType` that specifies a date type.

### timeField

    public static final FieldValueType timeField

  A `FieldValueType` that specifies a time field.

### stringField

    public static final FieldValueType stringField

  A `FieldValueType` that specifies a string.

### transientMemoField

    public static final FieldValueType transientMemoField

  A `FieldValueType` that specifies a variable length array of characters.

### persistentMemoField

    public static final FieldValueType persistentMemoField

  A `FieldValueType` that specifies a persistent memo. The data of persistent memos can be read at any time.

### blobField

    public static final FieldValueType blobField

  A `FieldValueType` that specifies a BLOB or in other words, a chunk of binary data.

### dateTimeField

    public static final FieldValueType dateTimeField

  A `FieldValueType` that specifies a date type.

### bitmapField

    public static final FieldValueType bitmapField

  A `FieldValueType` that specifies a bitmap.

### iconField

    public static final FieldValueType iconField

  A `FieldValueType` that specifies an icon.

### pictureField

    public static final FieldValueType pictureField

  A `FieldValueType` that specifies a picture.

### oleField

    public static final FieldValueType oleField

  A `FieldValueType` that specifies an OLE field.

### chartField

    public static final FieldValueType chartField

  A `FieldValueType` that specifies a chart.

### sameAsInputField

    public static final FieldValueType sameAsInputField

  A `FieldValueType` that specifies the same data type as the input field.

### unknownField

    public static final FieldValueType unknownField

  A `FieldValueType` that specifies an unknown field.

Method Detail

### from_int

    public static final FieldValueType from_int(int i)

  Returns the `FieldValueType` object corresponding to the specified `int`.

  Parameters:
    `i` - The `int` value of the desired `FieldValueType`.
  Returns:
    The `FieldValueType` object corresponding to the specified `int`.

### from_string

    public static final FieldValueType from_string(java.lang.String sVal)

  Returns the `FieldValueType` object corresponding to the specified `String`.

  Parameters:
    `sVal` - The `String` value of the desired `FieldValueType`.
  Returns:
    The `FieldValueType` object corresponding to the specified `String`.

### isPrimitiveType

    public static final boolean isPrimitiveType(FieldValueType type)

  Returns `true` if the specified `FieldValueType` object is a primitive data type.

  Parameters:
    `type` - The `FieldValueType` object to be tested.
  Returns:
    `true` if the specified `FieldValueType` object is a primitive data type, and `false` otherwise.

### toString

    public java.lang.String toString()

  Returns the `String` value of this `FieldValueType` object.

  Returns:
    The `String` value of this `FieldValueType` object.

### toVariantTypeString

    public java.lang.String toVariantTypeString()

  Returns the variant type of the `String` value of this `FieldValueType` object.

  Returns:
    A `String` that specifies the variant type of this `FieldValueType` object.

### value

    public int value()

  Returns the `int` value of this `FieldValueType` object.

  Returns:
    The `int` value of this `FieldValueType` object.